# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'country_data/version'

Gem::Specification.new do |spec|
  spec.name          = "country_data"
  spec.version       = CountryData::VERSION
  spec.authors       = ["Kirill"]
  spec.email         = ["c.derche@me.com"]

  spec.summary       = %q{ISO-3166 and ISO-639 Standards for Countries and Languages.}
  spec.description   = %q{This gem allows you to search through country information in a manner which is compliant with ISO-3166 and ISO-639 standards.}
  spec.homepage      = "https://www.dokspot.com"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "Set to 'https://rubygems.org'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_dependency "frozen_record", "~> 0.8.0"
end
